' NX 7.5.5.4
' Journal created by jhoelscher on Tue Dec 31 12:33:50 2013 Central Standard Time
'
Option Strict Off
Imports System
Imports NXOpen

Module NXJournal
Sub Main

Dim theSession As Session = Session.GetSession()
Dim workSimPart As CAE.SimPart = CType(theSession.Parts.BaseWork, CAE.SimPart)

Dim displaySimPart As CAE.SimPart = CType(theSession.Parts.BaseDisplay, CAE.SimPart)
Dim i as long

Dim simSimulation1 As CAE.SimSimulation = CType(workSimPart.FindObject("Simulation"), CAE.SimSimulation)




Dim simSolution1 As CAE.SimSolution = simSimulation1.activesolution



'Dim simSolution1 As CAE.SimSolution = CType(simSimulation1.FindObject("Solution[REV_ZT_2G]"), CAE.SimSolution)



Dim solutionResult1 As CAE.SolutionResult
solutionResult1 = theSession.ResultManager.CreateSolutionResult(simSolution1)

Dim resultParameters1 As CAE.ResultParameters
resultParameters1 = theSession.ResultManager.CreateResultParameters()


Dim postviewId1 as integer
postviewId1 = theSession.Post.CreatePostview(0, solutionResult1, False)


Dim g3d as integer
g3d = solutionResult1.AskNumGroupsInContainer(CAE.Result.GroupContainer.ThreeDimensional)

Dim g2d as integer
g2d = solutionResult1.AskNumGroupsInContainer(CAE.Result.GroupContainer.TwoDimensional)

Dim g1d as integer
g1d = solutionResult1.AskNumGroupsInContainer(CAE.Result.GroupContainer.OneDimensional)

Dim g0d as integer
g0d = solutionResult1.AskNumGroupsInContainer(CAE.Result.GroupContainer.ZeroDimensional)

Dim gcon as integer
gcon = solutionResult1.AskNumGroupsInContainer(CAE.Result.GroupContainer.Connector)

Dim templatename as string


	for i = 0 to 0

		try

			'Make All Elements Not Visible
			if gcon > 0 then theSession.Post.PostviewApplyGroupContainerVisibility(postviewId1, CAE.Result.GroupContainer.Connector, False)
			if g0d > 0 then theSession.Post.PostviewApplyGroupContainerVisibility(postviewId1, CAE.Result.GroupContainer.ZeroDimensional, False)			
                        if g1d > 0 then theSession.Post.PostviewApplyGroupContainerVisibility(postviewId1, CAE.Result.GroupContainer.OneDimensional, False)
			if g2d > 0 then theSession.Post.PostviewApplyGroupContainerVisibility(postviewId1, CAE.Result.GroupContainer.TwoDimensional, False)
			if g3d > 0 then theSession.Post.PostviewApplyGroupContainerVisibility(postviewId1, CAE.Result.GroupContainer.ThreeDimensional, False)


			'Make Element 3D Visible
			theSession.Post.PostviewApplyGroupVisibility(postviewId1, CAE.Result.GroupContainer.ThreeDimensional, i, True)




			'Insert Code to get 3D Name






			'templatename = inputbox("Template")
 
                        'theSession.Post.PostviewApplyTemplate(postviewId1,2)


			'theSession.Post.PostviewApplyTemplateFile(postviewId1,templatename)
			theSession.Post.PostviewExportDisplay(postviewId1, "C:\Body_" & i+1 & ".jt", CAE.Post.Export.Jt, False, False)

		catch ex As Exception

			msgbox(ex.message)
			exit for

		finally

		end try

	next


End Sub
End Module







